precision mediump float;

varying mediump vec2 vTextureCoord;

uniform sampler2D uSampler;

void main()
{
  vec3 texel = texture2D(uSampler, vTextureCoord).rgb;
  texel = vec3(dot(vec3(0.01, 0.01, 0.01), texel));
  gl_FragColor = vec4(texel, 1.0);
}